Gmsh(1)

NAME
Gmsh - 3D finite element mesh generator with built-in CAD engine and post-processor

SYNOPSIS
gmsh [file(s)] [option(s)]

DESCRIPTION
Gmsh is an automatic three-dimensional finite element mesh generator with build-in CAD and post-processing facilities. Its design goal is to provide a simple meshing tool for academic problems with parametric input and advanced visualization capabilities.

Gmsh is built around four modules: geometry, mesh, solver and post-processing. The specification of any input to these modules is done either interactively using the graphical user interface or in ASCII text files using Gmsh's own scripting language.

GEOMETRY OPTIONS

-0  parse all input files, output unrolled geometry, and exit.

-tol float
    set geometrical tolerance.

MESH OPTIONS

-1  perform the one-dimensional mesh, i.e., discretize all the curves in the geometry.

-2  perform the two-dimensional mesh, i.e., discretize all the surfaces in the geometry.

-3  perform the three-dimensional mesh, i.e., discretize all the volumes in the geometry.

-saveall
    save all elements (and discard all physical group definitions).

-o file
    specify mesh output file name.

-format string
    set output mesh format (msh, unv, vrml, stl, mesh, bdf, p3d, cgns, med).

-algo string
    select mesh algorithm (iso, netgen, tetgen).

-smooth int
    set number of mesh smoothing steps.

-optimize
    optimize quality of tetrahedral elements.

-order int
    set mesh order (1, 2).

-clscale float
    set global scaling factor to the mesh characteristic lengths in the model. -clcurv Compute characteristic lengths from curvatures

-rand float
    set random perturbation factor.

-bgm file
    load the post-processing view in file as the current background mesh.

-constrain
    constrain the background mesh with the characteristic lengths of the model.

POST-PROCESSING OPTIONS

-noview
    hide all views at startup.

-link int
    choose link mode between post-processing views (0, 1, 2, 3, 4).

-combine
    combine input views into multi-time-step ones.

DISPLAY OPTIONS

-nodb
    suppress the double buffer. Use this options if you use Gmsh on a remote host without GLX.

-fontsize int
    specify the font size for the GUI.

-scheme string
    specify the FLTK GUI scheme.

-display string
    specify display.

OTHER OPTIONS

-a, -g, -m, -s, -p
    start in automatic, geometry, mesh, solver or post-processing mode.

-pid
    print pid on stdout.

-listen
    always listen to incoming connection requests.

-v int
    set verbosity level.

-nopopup
    don't popup dialog windows in scripts.

-string string
    parse option string at startup.

-option file
    parse option file at startup.

-convert files
    Convert files into latest binary formats, then exit.

-version
    show version number.

-info
    show detailed version information.

-help
    show help message.

AUTHORS
Christophe Geuzaine (cgeuzaine@ulg.ac.be) and Jean-Francois Remacle (remacle@gce.ucl.ac.be).

SEE ALSO
getdp(1),
Gmsh examples (/usr/share/doc/gmsh-*/),
Gmsh homepage (http://www.geuz.org/gmsh/).

The full documentation for Gmsh is maintained as a Texinfo manual. If the info and gmsh programs are properly installed at your site, the command

    info gmsh

should give you access to the complete manual.